GET api/TaxScales

Gets paged tax scales (bypass = direct DB, else SignalR). Adds pagination header.

Request Information

URI Parameters

(i.e.queryString parameters in the form ?param1={param1}&param2={param2})

NameDescriptionTypeAdditional information
financialYear

Optional year.

integer

None.

page

Page index (>=1).

integer

Default value is 1

pageSize

Page size (>=1, default 1000).

integer

Default value is 1000

Body Parameters

None.

Response Information

Resource Description

Paged tax scales or error response.

PagedObjectOfTaxScaleView
NameDescriptionTypeAdditional information
Items

Collection of TaxScaleView

None.

PageInfo

PagedListPageInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "items": [
    {
      "taxScaleId": "sample string 2",
      "taxScaleCode": "sample string 3",
      "taxScaleDescription": "sample string 4",
      "taxYear": "sample string 5",
      "payrollCountry": "sample string 6"
    },
    {
      "taxScaleId": "sample string 2",
      "taxScaleCode": "sample string 3",
      "taxScaleDescription": "sample string 4",
      "taxYear": "sample string 5",
      "payrollCountry": "sample string 6"
    }
  ],
  "pageInfo": {
    "page": 1,
    "pageSize": 2,
    "totalCount": 3,
    "totalPages": 4,
    "countThisPage": 5,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "errorMessage": "sample string 8"
  }
}

application/xml, text/xml

Sample:
<PagedObjectOfTaxScaleView xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Items>
    <TaxScaleView>
      <InternalId>1</InternalId>
      <TaxScaleId>sample string 2</TaxScaleId>
      <TaxScaleCode>sample string 3</TaxScaleCode>
      <TaxScaleDescription>sample string 4</TaxScaleDescription>
      <TaxYear>sample string 5</TaxYear>
      <PayrollCountry>sample string 6</PayrollCountry>
    </TaxScaleView>
    <TaxScaleView>
      <InternalId>1</InternalId>
      <TaxScaleId>sample string 2</TaxScaleId>
      <TaxScaleCode>sample string 3</TaxScaleCode>
      <TaxScaleDescription>sample string 4</TaxScaleDescription>
      <TaxYear>sample string 5</TaxYear>
      <PayrollCountry>sample string 6</PayrollCountry>
    </TaxScaleView>
  </Items>
  <PageInfo>
    <Page>1</Page>
    <PageSize>2</PageSize>
    <TotalCount>3</TotalCount>
    <TotalPages>4</TotalPages>
    <CountThisPage>5</CountThisPage>
    <HasPreviousPage>true</HasPreviousPage>
    <HasNextPage>true</HasNextPage>
    <ErrorMessage>sample string 8</ErrorMessage>
  </PageInfo>
</PagedObjectOfTaxScaleView>